Package org.apache.sysds.runtime.controlprogram.parfor.opt

## Class OptTreePlanChecker

- java.lang.Object
- - org.apache.sysds.runtime.controlprogram.parfor.opt.OptTreePlanChecker

    public class OptTreePlanChecker
    extends Object

### Constructor Summary

Constructors
`OptTreePlanChecker()`

### Method Summary

All Methods Static Methods Concrete Methods
`static void` `checkProgramCorrectness​(ProgramBlock pb, StatementBlock sb, Set<String> fnStack)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### OptTreePlanChecker

    public OptTreePlanChecker()

### Method Detail

#### checkProgramCorrectness

    public static void checkProgramCorrectness​(ProgramBlock pb,
                                               StatementBlock sb,
                                               Set<String> fnStack)